Name: csound
Version: 4.23f12gbs.9
Release: alt1

Summary: csound is the general-purpose program for digital sound processing.
Summary(ru_RU.KOI8-R): csound --      .
Group: Sound
License: LGPL
Url: www.csounds.com

Source: %name-%version.tar.gz
Source1: %name.control
Source2: fl%name.menu
Source3: fl%name.control
Patch1: %name-%version-include-alt.patch

%define pkgdocdir %_docdir/%name-%version

Requires: lib%name = %version-%release
Obsoletes: Csound

# Automatically added by buildreq on Mon Mar 07 2005
#BuildRequires: fontconfig freetype2 gcc-c++ libalsa-devel libfltk-devel libstdc++-devel xorg-x11-devel xorg-x11-libs
BuildRequires: gcc-c++ libalsa-devel libfltk-devel libstdc++-devel xorg-x11-devel xorg-x11-libs

%description
csound is ultimate sound and music synthesis system, providing facilities for composition and
performance over a wide range of platforms. It is not restricted to any style of music, having been
used for many years in at least classical, pop, techno, ambient... Using special language, user can
describe very sofisitcated sound processing algorithms by combining such units like oscillators,
filters, samplers and so on.

%description -l ru_RU.KOI8-R
csound --      ,   
 ,        .
csound       ;     
   ,  , , , ...   ,
        ,   , 
, ,   ..

%package -n %name-utils
Summary: Utilities based on csound
Summary(ru_RU.KOI8-R):  ,   csound
Group: Sound
Requires: lib%name = %version-%release
Obsoletes: Csound-utils

%description -n %name-utils
This package contains various utilities based on csound library.

%description -n %name-utils -l ru_RU.KOI8-R
    ,     csound.

%package -n lib%name
Summary: Shared libraries to run csound
Summary(ru_RU.KOI8-R):   ,     csound
Group: System/Libraries
Obsoletes: libCsound

%description -n lib%name
This package contains shared libraries needed for csound to operate.

%description -n lib%name -l ru_RU.KOI8-R
    ,     csound.

%package -n lib%name-devel
Summary: Development files for csound
Summary(ru_RU.KOI8-R):    ,   csound
Group: Development/C
Requires: lib%name = %version-%release
Obsoletes: libCsound-devel

%description -n lib%name-devel
This package contains files for programs developement using csound library.

%description -n lib%name-devel -l ru_RU.KOI8-R
   ,      
  csound.

%package -n fl%name
Summary: csound program with FLTK-based GUI
Summary(ru_RU.KOI8-R):   csound    FLTK
Group: Sound
Requires: lib%name = %version-%release

%description -n fl%name
flcsound is the variant of csound with FLTK-based GUI. It allows one to use csound opcodes
realizing graphical contols for csound.

%description -n fl%name -l ru_RU.KOI8-R
flcsound --    csound      
FLTK.        csound, 
  .

%prep
%setup -q
%patch1 -p1

%build
%configure --enable-shared --disable-static
%make_build

%install
%makeinstall
%__install -pD -m755 %SOURCE1 %buildroot%_controldir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_menudir/%name
%__install -pD -m755 %SOURCE3 %buildroot%_controldir/fl%name

%pre
%pre_control %name

%post
%post_control -s normal %name

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%pre -n fl%name
%pre_control fl%name

%post -n fl%name
%update_menus
%post_control -s normal fl%name

%postun -n fl%name
%clean_menus

%files
%_bindir/%name
%_datadir/%name/*
%config(noreplace) %_controldir/%name
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README $RPM_BUILD_ROOT%_datadir/%name/*.html

%files -n %name-utils
%exclude %_bindir/%name
%exclude %_bindir/%name-config
%exclude %_bindir/fl%name
%_bindir/*

%files -n lib%name
%_libdir/*.so.*
%_libdir/%name/*.so.*
%_libdir/%name/*.la

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.a
%_libdir/%name/*.so
%_bindir/%name-config

%files -n fl%name
%_bindir/fl%name
%_menudir/*
%config(noreplace) %_controldir/fl%name

%changelog
* Mon Mar 07 2005 Yury Aliaev <mutabor@altlinux.ru> 4.23f12gbs.9-alt1
- build using "canonical" csound sources and GNU build system

* Sat Nov 15 2003 Yury Aliaev <mutabor@altlinux.ru> 4.24.1-alt0.6
- workaround of the instability with "-march=k6" compiler option
- spec cleanup

* Wed Oct 29 2003 Yury Aliaev <mutabor@altlinux.ru> 4.24.1-alt0.5
- alt0.5
- initial release, spec is created and sources are adopted to building in
  ALT Linux environment.
